> ## Documentation Index
> Fetch the complete documentation index at: https://help.pixwel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a workrequest



## OpenAPI

````yaml /openapi.yaml post /workrequests
openapi: 3.1.0
info:
  title: Pixwel Platform
  description: >-
    The Pixwel Platform REST API. Authenticate with HTTP Basic (email +
    password) or a personal access token (`Authorization: Bearer pat_…`).
    Responses are decorated by proxy middleware (Fields, Links, Permissions,
    etc.). Use `?fields=` to request specific fields.
  version: '2.8'
  contact:
    email: jeff@pixwel.com
  license:
    name: UNLICENSED
    identifier: LicenseRef-Pixwel-Proprietary
servers:
  - url: https://api-staging.pixwel.com/api
    description: Staging
  - url: https://app.pixwel.com/api
    description: Production
security:
  - BasicAuth: []
  - BearerAuth: []
paths:
  /workrequests:
    post:
      tags:
        - Workrequests
      summary: Create a workrequest
      operationId: createWorkrequest
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WorkrequestsResponse'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkrequestsResponse'
        '401':
          description: Not authenticated
components:
  schemas:
    WorkrequestsResponse:
      type: object
      properties:
        _id:
          type: string
          example: 507f1f77bcf86cd799439011
        studio:
          type: string
          example: 507f1f77bcf86cd799439011
        project:
          type: object
          properties:
            _id:
              type: string
              example: 507f1f77bcf86cd799439011
            name:
              type: string
            slug:
              type: string
            studio:
              type: string
              example: 507f1f77bcf86cd799439011
            logo:
              type: string
              example: 507f1f77bcf86cd799439011
            $links:
              type: object
              properties:
                self:
                  type: string
                  format: uri-reference
                  example: //example.com/path/to/object
        asset:
          type: object
          properties:
            _id:
              type: string
              example: 507f1f77bcf86cd799439011
            name:
              type: string
            slug:
              type: string
            type:
              type: string
            mediaType:
              type: string
            thumbnail:
              type: object
              properties:
                _id:
                  type: string
                  example: 507f1f77bcf86cd799439011
                verified:
                  type: boolean
                embargo:
                  type: object
                  properties:
                    event:
                      type: boolean
                warnings:
                  description: Shape not inferred — the sampled response had no entries
                mime:
                  type: string
                bucket:
                  type: string
                tags:
                  description: Shape not inferred — the sampled response had no entries
                chunkSize:
                  type: integer
                length:
                  type: integer
                md5:
                  type: string
                uploadDate:
                  type: integer
                $links:
                  type: object
                  properties:
                    self:
                      type: string
                      format: uri-reference
                      example: //example.com/path/to/object
            transcription:
              type: object
              properties:
                _id:
                  type: string
                  example: 507f1f77bcf86cd799439011
                graphics:
                  type: string
                  example: 507f1f77bcf86cd799439011
                dialogue:
                  type: string
                  example: 507f1f77bcf86cd799439011
                script:
                  type: string
                  example: 507f1f77bcf86cd799439011
            project:
              type: string
              example: 507f1f77bcf86cd799439011
            studio:
              type: string
              example: 507f1f77bcf86cd799439011
            creative:
              type: boolean
            aspectRatio:
              type: string
            usage:
              type: object
              properties:
                broadcast:
                  type: boolean
                online:
                  type: boolean
                dcp:
                  type: boolean
                dcp3d:
                  type: boolean
                film35:
                  type: boolean
                film70:
                  type: boolean
                imax:
                  type: boolean
                imax3d:
                  type: boolean
                atmos2d:
                  type: boolean
                atmos3d:
                  type: boolean
                dolbyVision2d:
                  type: boolean
                dolbyVision3d:
                  type: boolean
            workflow:
              type: object
              properties:
                id:
                  type: string
                  example: 507f1f77bcf86cd799439011
                phase:
                  type: string
                definition:
                  type: object
                  properties:
                    phases:
                      oneOf:
                        - type: object
                          additionalProperties:
                            type: object
                            properties:
                              terminal:
                                type: boolean
                              name:
                                type: string
                              groups:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                      example: 507f1f77bcf86cd799439011
                                    dng:
                                      description: >-
                                        Shape not inferred — the sampled
                                        response had no entries
                                    usages:
                                      description: >-
                                        Shape not inferred — the sampled
                                        response had no entries
                              users:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                      example: 507f1f77bcf86cd799439011
                                    dng:
                                      description: >-
                                        Shape not inferred — the sampled
                                        response had no entries
                                    usages:
                                      description: >-
                                        Shape not inferred — the sampled
                                        response had no entries
                          description: >-
                            Keys are chosen at runtime and are not part of the
                            contract.
                        - type: array
                          maxItems: 0
                          description: An empty map, which PHP serializes as `[]`.
                    requireGraphicsApproval:
                      type: boolean
                    requireOfflineApproval:
                      type: boolean
                note:
                  description: Null in every sampled response — shape not inferred
            file:
              type: object
              properties:
                cdslFile:
                  type: string
                  format: uri
                  example: https://example.com/path/to/object
            cdslFile:
              type:
                - string
                - 'null'
              format: uri
              example: https://example.com/path/to/object
        assetType:
          type: string
        assetCategory:
          type: string
        auto:
          type: boolean
        autosubs:
          type: boolean
        dualLanguages:
          type: boolean
        aspectRatio:
          type: string
        from:
          type: object
          properties:
            _id:
              type: string
              example: 507f1f77bcf86cd799439011
            name:
              type: string
            emailNormal:
              type: string
              format: email
              example: user@example.com
            groups:
              type: array
              items:
                type: object
                properties:
                  _id:
                    type: string
                    example: 507f1f77bcf86cd799439011
                  name:
                    type: string
                  $links:
                    type: object
                    properties:
                      self:
                        type: string
                        format: uri-reference
                        example: //example.com/path/to/object
        due:
          type: object
          properties:
            date:
              type: integer
            tz:
              type: string
        language:
          type: string
        territory:
          type: string
        dng:
          type: object
          properties:
            dialogue:
              type: array
              items:
                type: string
            graphics:
              type: array
              items:
                type: string
            narration:
              type: array
              items:
                type: string
        uses:
          type: object
          properties:
            items:
              type: array
              items:
                type: string
            details:
              oneOf:
                - type: object
                  additionalProperties:
                    type: array
                    items:
                      type: object
                      properties:
                        value:
                          type: string
                        ship:
                          type: boolean
                  description: Keys are chosen at runtime and are not part of the contract.
                - type: array
                  maxItems: 0
                  description: An empty map, which PHP serializes as `[]`.
        dcp:
          type: object
          properties:
            items:
              type: array
              items:
                type: string
            details:
              oneOf:
                - type: object
                  additionalProperties:
                    type: object
                    properties:
                      link:
                        type: boolean
                      ship:
                        type: boolean
                      quantity:
                        type: integer
                  description: Keys are chosen at runtime and are not part of the contract.
                - type: array
                  maxItems: 0
                  description: An empty map, which PHP serializes as `[]`.
        instructions:
          type: string
        status:
          type: string
        history:
          type: array
          items:
            type: object
            properties:
              date:
                type: integer
              user:
                type: object
                properties:
                  _id:
                    type: string
                    example: 507f1f77bcf86cd799439011
                  emailNormal:
                    type: string
                    format: email
                    example: user@example.com
                  name:
                    type: string
                  groups:
                    type: array
                    items:
                      type: object
                      properties:
                        _id:
                          type: string
                          example: 507f1f77bcf86cd799439011
                        name:
                          type: string
              status:
                type: string
              reason:
                type: string
        recipients:
          oneOf:
            - type: object
              additionalProperties:
                description: Shape not inferred — the sampled response had no entries
              description: Keys are chosen at runtime and are not part of the contract.
            - type: array
              maxItems: 0
              description: An empty map, which PHP serializes as `[]`.
        shippingAddresses:
          oneOf:
            - type: object
              description: Keys are chosen at runtime and are not part of the contract.
            - type: array
              maxItems: 0
              description: An empty map, which PHP serializes as `[]`.
        estimate:
          type: object
          properties:
            base:
              type:
                - object
                - 'null'
              properties:
                graphics:
                  type: integer
                narration:
                  type: integer
                scripts:
                  type: integer
                dubbing:
                  type: integer
                subtitling:
                  type: integer
                hybrid:
                  type: integer
                encoding:
                  type: integer
                autosubs:
                  type: integer
                autogfx:
                  type: integer
            applied:
              type:
                - object
                - 'null'
              properties:
                graphics:
                  type: integer
                narration:
                  type: integer
                scripts:
                  type: integer
                dubbing:
                  type: integer
                subtitling:
                  type: integer
                hybrid:
                  type: integer
                encoding:
                  type: integer
                autosubs:
                  type: integer
                autogfx:
                  type: integer
                files:
                  type: integer
                total:
                  type: integer
        translation:
          type: object
          properties:
            _id:
              type: string
              example: 507f1f77bcf86cd799439011
            language:
              type: string
            translator:
              type: object
              properties:
                _id:
                  type: string
                  example: 507f1f77bcf86cd799439011
                emailNormal:
                  type: string
                  format: email
                  example: user@example.com
                name:
                  type: string
                groups:
                  type: array
                  items:
                    type: object
                    properties:
                      _id:
                        type: string
                        example: 507f1f77bcf86cd799439011
                      name:
                        type: string
            status:
              type: string
            lines:
              type: array
              items:
                type: object
                properties:
                  number:
                    type: integer
                  text:
                    type: string
                  auto:
                    type: boolean
                  custom:
                    type: boolean
                  machine:
                    type: boolean
                  startTime:
                    type: string
                  stopTime:
                    type: string
                  alignment:
                    type: string
                  textAlign:
                    type: string
                  split:
                    description: Null in every sampled response — shape not inferred
                  merged:
                    description: Null in every sampled response — shape not inferred
                  range:
                    type: array
                    items:
                      type: number
            printLines:
              description: Shape not inferred — the sampled response had no entries
            approval:
              type: boolean
            $links:
              type: object
              properties:
                self:
                  type: string
                  format: uri-reference
                  example: //example.com/path/to/object
        graphicsTranslation:
          type: object
          properties:
            _id:
              type: string
              example: 507f1f77bcf86cd799439011
            language:
              type: string
            translator:
              type: object
              properties:
                _id:
                  type: string
                  example: 507f1f77bcf86cd799439011
                emailNormal:
                  type: string
                  format: email
                  example: user@example.com
                name:
                  type: string
                groups:
                  type: array
                  items:
                    type: object
                    properties:
                      _id:
                        type: string
                        example: 507f1f77bcf86cd799439011
                      name:
                        type: string
            status:
              type: string
            lines:
              type: array
              items:
                type: object
                properties:
                  number:
                    type: integer
                  text:
                    type: string
                  auto:
                    type: boolean
                  custom:
                    type: boolean
                  machine:
                    type: boolean
                  startTime:
                    type: string
                  stopTime:
                    type: string
                  alignment:
                    type: string
                  textAlign:
                    type: string
                  split:
                    description: Null in every sampled response — shape not inferred
                  merged:
                    description: Null in every sampled response — shape not inferred
                  range:
                    type: array
                    items:
                      type: number
            printLines:
              description: Shape not inferred — the sampled response had no entries
            approval:
              type: boolean
            $links:
              type: object
              properties:
                self:
                  type: string
                  format: uri-reference
                  example: //example.com/path/to/object
        urls:
          type: object
          properties:
            view:
              type: string
              format: uri
              example: https://example.com/path/to/object
            manage:
              type: string
              format: uri
              example: https://example.com/path/to/object
            invite:
              type: string
              format: uri
              example: https://example.com/path/to/object
            translate:
              type: string
              format: uri
              example: https://example.com/path/to/object
        tags:
          description: Shape not inferred — the sampled response had no entries
        rejections:
          description: Shape not inferred — the sampled response had no entries
        files:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
              files:
                description: Shape not inferred — the sampled response had no entries
        materials:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
              complete:
                type: boolean
              approved:
                type: boolean
              files:
                type: array
                items:
                  oneOf:
                    - type: object
                      properties:
                        id:
                          type: string
                        url:
                          type: string
                          format: uri
                          example: https://example.com/path/to/object
                        name:
                          type: string
                        uploadedAt:
                          type: integer
                        rootId:
                          type: string
                        version:
                          type: integer
                        isCurrentVersion:
                          type: boolean
                        previousVersionId:
                          description: Null in every sampled response — shape not inferred
                    - type: string
                      format: uri
                      example: https://example.com/path/to/object
              changeRequests:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    _id:
                      type: string
                    _optimistic:
                      type: boolean
                    fileId:
                      type: string
                    body:
                      type: string
                    status:
                      type: string
                    user:
                      type: object
                      properties:
                        _id:
                          type: string
                          example: 507f1f77bcf86cd799439011
                        name:
                          type: string
                        email:
                          type: string
                          format: email
                          example: user@example.com
                    requestedBy:
                      type: object
                      properties:
                        _id:
                          type: string
                          example: 507f1f77bcf86cd799439011
                        email:
                          type: string
                          format: email
                          example: user@example.com
                    requestedAt:
                      type: integer
                    created:
                      type: integer
                    replies:
                      type: array
                      items:
                        type: object
                        properties:
                          id:
                            type: string
                          _id:
                            type: string
                          _optimistic:
                            type: boolean
                          replyTo:
                            type: string
                          body:
                            type: string
                          user:
                            type: object
                            properties:
                              _id:
                                type: string
                                example: 507f1f77bcf86cd799439011
                              name:
                                type: string
                              email:
                                type: string
                                format: email
                                example: user@example.com
                          created:
                            type: integer
                          editedAt:
                            type: integer
                    editedAt:
                      type: integer
        deliveryDeadline:
          type: object
          properties:
            date:
              type: integer
            tz:
              type: string
        reason:
          type: string
        autoMode:
          type: boolean
        created:
          type: integer
        $links:
          type: object
          properties:
            self:
              type: string
              format: uri-reference
              example: //example.com/path/to/object
            project:
              type: string
              format: uri-reference
              example: //example.com/path/to/object
            asset:
              type: string
              format: uri-reference
              example: //example.com/path/to/object
            from:
              type: string
              format: uri-reference
              example: //example.com/path/to/object
            graphicsTranslation:
              type: string
              format: uri-reference
              example: //example.com/path/to/object
            translation:
              type: string
              format: uri-reference
              example: //example.com/path/to/object
        encodes:
          description: Shape not inferred — the sampled response had no entries
        offlines:
          description: Shape not inferred — the sampled response had no entries
        graphicsAutomationJobs:
          description: Shape not inferred — the sampled response had no entries
        $statuses:
          type: array
          items:
            type: string
        audioFile:
          description: Null in every sampled response — shape not inferred
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic
      description: >-
        Email address and password. A personal access token (`pat_…`) or session
        token (`token-…`) may also be sent in the password field, with any
        non-empty value as the username — a blank username short-circuits to a
        401 before the token is read.
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: pat_<64 hex characters>
      description: >-
        A personal access token: `Authorization: Bearer pat_…`. Create one under
        Preferences → API Tokens, or with `POST /personal-access-tokens`. The
        token acts as its owner, with their full permissions.

````